Browse Source

Revert "requirements: temporarily pin urblib3 for zuul-client"

This reverts commit a58b29c6bf.  The
dependency is uncapped in zuul-client now.

Change-Id: I9d31326c444cf225442c0b46e040312be9a2ff73
changes/95/762595/1
Ian Wienand 2 weeks ago
parent
commit
17d48efc50
1 changed files with 1 additions and 10 deletions
  1. +1
    -10
      requirements.txt

+ 1
- 10
requirements.txt View File

@@ -33,14 +33,5 @@ cherrypy
ws4py
routes
jsonpath-rw
# zuul-client pins to requests==1.24.0 which is incompatible
# with urllib >= 1.26.0. We can not simply remove that pin
# in zuul-client because it runs the zuul-client-zuul-functional
# job, which runs a tox environment. Our tox role first installs
# everything without tests, before installing siblings. This means
# it tries to install the released zuul-client first; ignoring any
# changes to the requirements that might be in the change.
# By pinning urllib3 here we can get that test working, which
# allows us to merge the removal to zuul-client.
urllib3!=1.25.4,!=1.25.5,<1.26.0 # https://github.com/urllib3/urllib3/pull/1684
urllib3!=1.25.4,!=1.25.5 # https://github.com/urllib3/urllib3/pull/1684
cheroot!=8.1.*,!=8.2.*,!=8.3.0 # https://github.com/cherrypy/cheroot/issues/263

Loading…
Cancel
Save